My Project: openb3dlib.mod/methods.h File Reference

My Project

Functions
methods.h File Reference

Go to the source code of this file.

## Functions

void | AnimateMesh (Mesh *ent1, float framef, int start_frame, int end_frame)
void | AnimateMesh2 (Mesh *ent1, float framef, int start_frame, int end_frame)
void | AnimateMesh3 (Mesh *ent1)
void | VertexDeform (Mesh *ent)
AnimationKeys * | AnimationKeysCopy (AnimationKeys *obj)
Brush * | BrushCopy (Brush *obj)
int | CompareBrushes (Brush *brush1, Brush *brush2)
void | ExtractFrustum (Camera *obj)
float | EntityInFrustum (Camera *obj, Entity *ent)
void | CameraUpdate (Camera *obj)
void | CameraRender (Camera *obj)
void | UpdateSprite (Camera *obj, Sprite &sprite)
void | AddTransformedSpriteToSurface (Camera *obj, Sprite &sprite, Surface *surf)
void | RenderListAdd (Camera *obj, Mesh *mesh)
void | accPerspective (Camera *obj, float fovy, float aspect, float zNear, float zFar, float pixdx, float pixdy, float eyedx, float eyedy, float focus)
void | accFrustum (Camera *obj, float left_, float right_, float bottom, float top, float zNear, float zFar, float pixdx, float pixdy, float eyedx, float eyedy, float focus)
void | UpdateProjMatrix (Camera *obj)
void | CameraUpdateEntityRender (Entity *ent, Entity *cam)
int | CountAllChildren (Entity *obj, int no_children)
Entity * | GetChildFromAll (Entity *obj, int child_no, int &no_children, Entity *ent)
int | Hidden (Entity *obj)
void | AlignToVector (Entity *obj, float x, float y, float z, int axis, float rate)
void | UpdateMat (Entity *obj, bool load_identity)
void | AddParent (Entity *obj, Entity &parent_ent)
void | UpdateChildren (Entity *ent_p)
float | EntityDistanceSquared (Entity *obj, Entity *ent2)
void | MQ_Update (Entity *obj)
void | MQ_GetInvMatrix (Entity *obj, Matrix &mat0)
void | MQ_GetMatrix (Entity *obj, Matrix &mat3)
void | MQ_SetMatrix (Entity *obj, Matrix &inputMatrix)
void | MQ_GetScaleXYZ (Entity *obj, float &width, float &height, float &depth)
void | MQ_Turn (Entity *obj, float ang, float vx, float vy, float vz, int glob)
void | UpdateEntityAnim (Mesh &mesh)
void | LightUpdate (Light *obj)
void | MatrixLoadIdentity (Matrix *obj)
Matrix * | MatrixCopy (Matrix *obj)
void | MatrixOverwrite (Matrix *obj, Matrix &mat)
void | MatrixGetInverse (Matrix *obj, Matrix &mat)
void | MatrixMultiply (Matrix *obj, Matrix &mat)
void | MatrixTranslate (Matrix *obj, float x, float y, float z)
void | MatrixScale (Matrix *obj, float x, float y, float z)
void | MatrixRotate (Matrix *obj, float rx, float ry, float rz)
void | MatrixRotatePitch (Matrix *obj, float ang)
void | MatrixRotateYaw (Matrix *obj, float ang)
void | MatrixRotateRoll (Matrix *obj, float ang)
void | MatrixFromQuaternion (Matrix *obj, float x, float y, float z, float w)
void | MatrixTransformVec (Matrix *obj, float &rx, float &ry, float &rz, int addTranslation=0)
void | MatrixTranspose (Matrix *obj)
void | MatrixSetTranslate (Matrix *obj, float x, float y, float z)
void | MatrixMultiply2 (Matrix *obj, Matrix &mat)
void | MatrixGetInverse2 (Matrix *obj, Matrix &mat)
float | MatrixGetPitch (Matrix *obj)
float | MatrixGetYaw (Matrix *obj)
float | MatrixGetRoll (Matrix *obj)
void | MatrixFromToRotation (Matrix *obj, float ix, float iy, float iz, float jx, float jy, float jz)
void | MatrixToQuat (Matrix *obj, float &qx, float &qy, float &qz, float &qw)
void | MatrixQuaternion_FromAngleAxis (float angle, float ax, float ay, float az, float &rx, float &ry, float &rz, float &rw)
void | MatrixQuaternion_MultiplyQuat (float x1, float y1, float z1, float w1, float x2, float y2, float z2, float w2, float &rx, float &ry, float &rz, float &rw)
void | MatrixInterpolateMatrix (Matrix &m, Matrix &a, float alpha)
void | MeshColor (Mesh *obj, float r, float g, float b, float a)
void | MeshRed (Mesh *obj, float r)
void | MeshGreen (Mesh *obj, float g)
void | MeshBlue (Mesh *obj, float b)
void | MeshAlpha (Mesh *obj, float a)
void | CopyBonesList (Entity *ent, vector< Bone *> &bones)
Mesh * | CollapseAnimMesh (Mesh *obj, Mesh *mesh)
Mesh * | CollapseChildren (Mesh *obj, Entity *ent0, Mesh *mesh)
void | TransformMesh (Mesh *obj, Matrix &mat)
void | GetBounds (Mesh *obj)
int | Alpha (Mesh *obj)
void | TreeCheck (Mesh *obj)
void | MeshRender (Mesh *obj)
void | UpdateShadow (Mesh *obj)
Entity * | PickMain (float ax, float ay, float az, float bx, float by, float bz, float radius)
void | SetShadowColor (int R, int G, int B, int A)
void | ShadowInit ()
void | RemoveShadowfromMesh (ShadowObject *obj, Mesh *M)
void | ShadowObjectUpdate (Camera *Cam)
void | RenderVolume ()
void | UpdateAnim (ShadowObject *obj)
void | ShadowObjectInit (ShadowObject *obj)
void | InitShadow (ShadowObject *obj)
void | UpdateCaster (ShadowObject *obj)
void | ShadowRenderWorldZFail ()
void | SpriteTexCoords (Sprite *obj, int cell_x, int cell_y, int cell_w, int cell_h, int tex_w, int tex_h, int uv_set)
void | SpriteVertexColor (Sprite *obj, int v, float r, float g, float b)
Surface * | SurfaceCopy (Surface *obj)
void | SurfaceColor (Surface *obj, float r, float g, float b, float a)
void | SurfaceRed (Surface *obj, float r)
void | SurfaceGreen (Surface *obj, float g)
void | SurfaceBlue (Surface *obj, float b)
void | SurfaceAlpha (Surface *obj, float a)
void | SurfaceUpdateNormals (Surface *obj)
float | TriangleNX (Surface *obj, int tri_no)
float | TriangleNY (Surface *obj, int tri_no)
float | TriangleNZ (Surface *obj, int tri_no)
void | UpdateVBO (Surface *obj)
void | FreeVBO (Surface *obj)
void | RemoveTri (Surface *obj, int tri)
void | UpdateTerrain (Terrain *obj)
void | RecreateROAM (Terrain *obj)
void | drawsub (Terrain *obj, int l, float v0[], float v1[], float v2[])
void | TerrainUpdateNormals (Terrain *obj)
void | col_tree_sub (Terrain *obj, int l, float v0[], float v1[], float v2[])
Texture * | TextureCopy (Texture *obj)
Texture * | TexInList (Texture *obj)
void | FilterFlags (Texture *obj)

## Function Documentation

## § accFrustum()

void accFrustum | ( | Camera * | obj,
|  | float | left_,
|  | float | right_,
|  | float | bottom,
|  | float | top,
|  | float | zNear,
|  | float | zFar,
|  | float | pixdx,
|  | float | pixdy,
|  | float | eyedx,
|  | float | eyedy,
|  | float | focus
| ) |  |

## § accPerspective()

void accPerspective | ( | Camera * | obj,
|  | float | fovy,
|  | float | aspect,
|  | float | zNear,
|  | float | zFar,
|  | float | pixdx,
|  | float | pixdy,
|  | float | eyedx,
|  | float | eyedy,
|  | float | focus
| ) |  |

## § AddParent()

void AddParent | ( | Entity * | obj,
|  | Entity & | parent_ent
| ) |  |

## § AddTransformedSpriteToSurface()

void AddTransformedSpriteToSurface | ( | Camera * | obj,
|  | Sprite & | sprite,
|  | Surface * | surf
| ) |  |

## § AlignToVector()

void AlignToVector | ( | Entity * | obj,
|  | float | x,
|  | float | y,
|  | float | z,
|  | int | axis,
|  | float | rate
| ) |  |

## § Alpha()

int Alpha | ( | Mesh * | obj | ) |

## § AnimateMesh()

void AnimateMesh | ( | Mesh * | ent1,
|  | float | framef,
|  | int | start_frame,
|  | int | end_frame
| ) |  |

## § AnimateMesh2()

void AnimateMesh2 | ( | Mesh * | ent1,
|  | float | framef,
|  | int | start_frame,
|  | int | end_frame
| ) |  |

## § AnimateMesh3()

void AnimateMesh3 | ( | Mesh * | ent1 | ) |

## § AnimationKeysCopy()

AnimationKeys* AnimationKeysCopy | ( | AnimationKeys * | obj | ) |

## § BrushCopy()

Brush* BrushCopy | ( | Brush * | obj | ) |

## § CameraRender()

void CameraRender | ( | Camera * | obj | ) |

## § CameraUpdate()

void CameraUpdate | ( | Camera * | obj | ) |

## § CameraUpdateEntityRender()

void CameraUpdateEntityRender | ( | Entity * | ent,
|  | Entity * | cam
| ) |  |

## § col_tree_sub()

void col_tree_sub | ( | Terrain * | obj,
|  | int | l,
|  | float | v0[],
|  | float | v1[],
|  | float | v2[]
| ) |  |

## § CollapseAnimMesh()

Mesh* CollapseAnimMesh | ( | Mesh * | obj,
|  | Mesh * | mesh
| ) |  |

## § CollapseChildren()

Mesh* CollapseChildren | ( | Mesh * | obj,
|  | Entity * | ent0,
|  | Mesh * | mesh
| ) |  |

## § CompareBrushes()

int CompareBrushes | ( | Brush * | brush1,
|  | Brush * | brush2
| ) |  |

## § CopyBonesList()

void CopyBonesList | ( | Entity * | ent,
|  | vector< Bone *> & | bones
| ) |  |

## § CountAllChildren()

int CountAllChildren | ( | Entity * | obj,
|  | int | no_children
| ) |  |

## § drawsub()

void drawsub | ( | Terrain * | obj,
|  | int | l,
|  | float | v0[],
|  | float | v1[],
|  | float | v2[]
| ) |  |

## § EntityDistanceSquared()

float EntityDistanceSquared | ( | Entity * | obj,
|  | Entity * | ent2
| ) |  |

## § EntityInFrustum()

float EntityInFrustum | ( | Camera * | obj,
|  | Entity * | ent
| ) |  |

## § ExtractFrustum()

void ExtractFrustum | ( | Camera * | obj | ) |

## § FilterFlags()

void FilterFlags | ( | Texture * | obj | ) |

## § FreeVBO()

void FreeVBO | ( | Surface * | obj | ) |

## § GetBounds()

void GetBounds | ( | Mesh * | obj | ) |

## § GetChildFromAll()

Entity* GetChildFromAll | ( | Entity * | obj,
|  | int | child_no,
|  | int & | no_children,
|  | Entity * | ent
| ) |  |

## § Hidden()

int Hidden | ( | Entity * | obj | ) |

## § InitShadow()

void InitShadow | ( | ShadowObject * | obj | ) |

## § LightUpdate()

void LightUpdate | ( | Light * | obj | ) |

## § MatrixCopy()

Matrix* MatrixCopy | ( | Matrix * | obj | ) |

## § MatrixFromQuaternion()

void MatrixFromQuaternion | ( | Matrix * | obj,
|  | float | x,
|  | float | y,
|  | float | z,
|  | float | w
| ) |  |

## § MatrixFromToRotation()

void MatrixFromToRotation | ( | Matrix * | obj,
|  | float | ix,
|  | float | iy,
|  | float | iz,
|  | float | jx,
|  | float | jy,
|  | float | jz
| ) |  |

## § MatrixGetInverse()

void MatrixGetInverse | ( | Matrix * | obj,
|  | Matrix & | mat
| ) |  |

## § MatrixGetInverse2()

void MatrixGetInverse2 | ( | Matrix * | obj,
|  | Matrix & | mat
| ) |  |

## § MatrixGetPitch()

float MatrixGetPitch | ( | Matrix * | obj | ) |

## § MatrixGetRoll()

float MatrixGetRoll | ( | Matrix * | obj | ) |

## § MatrixGetYaw()

float MatrixGetYaw | ( | Matrix * | obj | ) |

## § MatrixInterpolateMatrix()

void MatrixInterpolateMatrix | ( | Matrix & | m,
|  | Matrix & | a,
|  | float | alpha
| ) |  |

## § MatrixLoadIdentity()

void MatrixLoadIdentity | ( | Matrix * | obj | ) |

## § MatrixMultiply()

void MatrixMultiply | ( | Matrix * | obj,
|  | Matrix & | mat
| ) |  |

## § MatrixMultiply2()

void MatrixMultiply2 | ( | Matrix * | obj,
|  | Matrix & | mat
| ) |  |

## § MatrixOverwrite()

void MatrixOverwrite | ( | Matrix * | obj,
|  | Matrix & | mat
| ) |  |

## § MatrixQuaternion_FromAngleAxis()

void MatrixQuaternion_FromAngleAxis | ( | float | angle,
|  | float | ax,
|  | float | ay,
|  | float | az,
|  | float & | rx,
|  | float & | ry,
|  | float & | rz,
|  | float & | rw
| ) |  |

## § MatrixQuaternion_MultiplyQuat()

void MatrixQuaternion_MultiplyQuat | ( | float | x1,
|  | float | y1,
|  | float | z1,
|  | float | w1,
|  | float | x2,
|  | float | y2,
|  | float | z2,
|  | float | w2,
|  | float & | rx,
|  | float & | ry,
|  | float & | rz,
|  | float & | rw
| ) |  |

## § MatrixRotate()

void MatrixRotate | ( | Matrix * | obj,
|  | float | rx,
|  | float | ry,
|  | float | rz
| ) |  |

## § MatrixRotatePitch()

void MatrixRotatePitch | ( | Matrix * | obj,
|  | float | ang
| ) |  |

## § MatrixRotateRoll()

void MatrixRotateRoll | ( | Matrix * | obj,
|  | float | ang
| ) |  |

## § MatrixRotateYaw()

void MatrixRotateYaw | ( | Matrix * | obj,
|  | float | ang
| ) |  |

## § MatrixScale()

void MatrixScale | ( | Matrix * | obj,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

## § MatrixSetTranslate()

void MatrixSetTranslate | ( | Matrix * | obj,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

## § MatrixToQuat()

void MatrixToQuat | ( | Matrix * | obj,
|  | float & | qx,
|  | float & | qy,
|  | float & | qz,
|  | float & | qw
| ) |  |

## § MatrixTransformVec()

void MatrixTransformVec | ( | Matrix * | obj,
|  | float & | rx,
|  | float & | ry,
|  | float & | rz,
|  | int | addTranslation = `0`
| ) |  |

## § MatrixTranslate()

void MatrixTranslate | ( | Matrix * | obj,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

## § MatrixTranspose()

void MatrixTranspose | ( | Matrix * | obj | ) |

## § MeshAlpha()

void MeshAlpha | ( | Mesh * | obj,
|  | float | a
| ) |  |

## § MeshBlue()

void MeshBlue | ( | Mesh * | obj,
|  | float | b
| ) |  |

## § MeshColor()

void MeshColor | ( | Mesh * | obj,
|  | float | r,
|  | float | g,
|  | float | b,
|  | float | a
| ) |  |

## § MeshGreen()

void MeshGreen | ( | Mesh * | obj,
|  | float | g
| ) |  |

## § MeshRed()

void MeshRed | ( | Mesh * | obj,
|  | float | r
| ) |  |

## § MeshRender()

void MeshRender | ( | Mesh * | obj | ) |

## § MQ_GetInvMatrix()

void MQ_GetInvMatrix | ( | Entity * | obj,
|  | Matrix & | mat0
| ) |  |

## § MQ_GetMatrix()

void MQ_GetMatrix | ( | Entity * | obj,
|  | Matrix & | mat3
| ) |  |

## § MQ_GetScaleXYZ()

void MQ_GetScaleXYZ | ( | Entity * | obj,
|  | float & | width,
|  | float & | height,
|  | float & | depth
| ) |  |

## § MQ_SetMatrix()

void MQ_SetMatrix | ( | Entity * | obj,
|  | Matrix & | inputMatrix
| ) |  |

## § MQ_Turn()

void MQ_Turn | ( | Entity * | obj,
|  | float | ang,
|  | float | vx,
|  | float | vy,
|  | float | vz,
|  | int | glob
| ) |  |

## § MQ_Update()

void MQ_Update | ( | Entity * | obj | ) |

## § PickMain()

Entity* PickMain | ( | float | ax,
|  | float | ay,
|  | float | az,
|  | float | bx,
|  | float | by,
|  | float | bz,
|  | float | radius
| ) |  |

## § RecreateROAM()

void RecreateROAM | ( | Terrain * | obj | ) |

## § RemoveShadowfromMesh()

void RemoveShadowfromMesh | ( | ShadowObject * | obj,
|  | Mesh * | M
| ) |  |

## § RemoveTri()

void RemoveTri | ( | Surface * | obj,
|  | int | tri
| ) |  |

## § RenderListAdd()

void RenderListAdd | ( | Camera * | obj,
|  | Mesh * | mesh
| ) |  |

## § RenderVolume()

void RenderVolume | ( |  | ) |

## § SetShadowColor()

void SetShadowColor | ( | int | R,
|  | int | G,
|  | int | B,
|  | int | A
| ) |  |

## § ShadowInit()

void ShadowInit | ( |  | ) |

## § ShadowObjectInit()

void ShadowObjectInit | ( | ShadowObject * | obj | ) |

## § ShadowObjectUpdate()

void ShadowObjectUpdate | ( | Camera * | Cam | ) |

## § ShadowRenderWorldZFail()

void ShadowRenderWorldZFail | ( |  | ) |

## § SpriteTexCoords()

void SpriteTexCoords | ( | Sprite * | obj,
|  | int | cell_x,
|  | int | cell_y,
|  | int | cell_w,
|  | int | cell_h,
|  | int | tex_w,
|  | int | tex_h,
|  | int | uv_set
| ) |  |

## § SpriteVertexColor()

void SpriteVertexColor | ( | Sprite * | obj,
|  | int | v,
|  | float | r,
|  | float | g,
|  | float | b
| ) |  |

## § SurfaceAlpha()

void SurfaceAlpha | ( | Surface * | obj,
|  | float | a
| ) |  |

## § SurfaceBlue()

void SurfaceBlue | ( | Surface * | obj,
|  | float | b
| ) |  |

## § SurfaceColor()

void SurfaceColor | ( | Surface * | obj,
|  | float | r,
|  | float | g,
|  | float | b,
|  | float | a
| ) |  |

## § SurfaceCopy()

Surface* SurfaceCopy | ( | Surface * | obj | ) |

## § SurfaceGreen()

void SurfaceGreen | ( | Surface * | obj,
|  | float | g
| ) |  |

## § SurfaceRed()

void SurfaceRed | ( | Surface * | obj,
|  | float | r
| ) |  |

## § SurfaceUpdateNormals()

void SurfaceUpdateNormals | ( | Surface * | obj | ) |

## § TerrainUpdateNormals()

void TerrainUpdateNormals | ( | Terrain * | obj | ) |

## § TexInList()

Texture* TexInList | ( | Texture * | obj | ) |

## § TextureCopy()

Texture* TextureCopy | ( | Texture * | obj | ) |

## § TransformMesh()

void TransformMesh | ( | Mesh * | obj,
|  | Matrix & | mat
| ) |  |

## § TreeCheck()

void TreeCheck | ( | Mesh * | obj | ) |

## § TriangleNX()

float TriangleNX | ( | Surface * | obj,
|  | int | tri_no
| ) |  |

## § TriangleNY()

float TriangleNY | ( | Surface * | obj,
|  | int | tri_no
| ) |  |

## § TriangleNZ()

float TriangleNZ | ( | Surface * | obj,
|  | int | tri_no
| ) |  |

## § UpdateAnim()

void UpdateAnim | ( | ShadowObject * | obj | ) |

## § UpdateCaster()

void UpdateCaster | ( | ShadowObject * | obj | ) |

## § UpdateChildren()

void UpdateChildren | ( | Entity * | ent_p | ) |

## § UpdateEntityAnim()

void UpdateEntityAnim | ( | Mesh & | mesh | ) |

## § UpdateMat()

void UpdateMat | ( | Entity * | obj,
|  | bool | load_identity
| ) |  |

## § UpdateProjMatrix()

void UpdateProjMatrix | ( | Camera * | obj | ) |

## § UpdateShadow()

void UpdateShadow | ( | Mesh * | obj | ) |

## § UpdateSprite()

void UpdateSprite | ( | Camera * | obj,
|  | Sprite & | sprite
| ) |  |

## § UpdateTerrain()

void UpdateTerrain | ( | Terrain * | obj | ) |

## § UpdateVBO()

void UpdateVBO | ( | Surface * | obj | ) |

## § VertexDeform()

void VertexDeform | ( | Mesh * | ent | ) |